%define majver %(echo %version | cut -d. -f1-2)

Name:          plasma-desktop
Version:       5.6.5
Release:       1mamba
Summary:       KDE Plasma 5 Desktop
Group:         Graphical Desktop/Applications/Environment
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/plasma/%{version}/plasma-desktop-%{version}.tar.xz
Patch0:        plasma-desktop-5.6.3-gcc-6.1.0.patch
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXcursor-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXft-devel
BuildRequires: libXi-devel
BuildRequires: libXrender-devel
BuildRequires: libattica5-devel
BuildRequires: libbaloo5-devel
BuildRequires: libcanberra-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libkactivities5-devel
BuildRequires: libkarchive-devel
BuildRequires: libkauth-devel
BuildRequires: libkbookmarks-devel
BuildRequires: libkcmutils-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkcrash-devel
BuildRequires: libkdbusaddons-devel
BuildRequires: libkdeclarative-devel
BuildRequires: libkdelibs4support-devel
BuildRequires: libkemoticons-devel
BuildRequires: libkfilemetadata-devel
BuildRequires: libkglobalaccel-devel
BuildRequires: libkguiaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libkio-devel
BuildRequires: libkitemmodels-devel
BuildRequires: libkitemviews-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libknewstuff-devel
BuildRequires: libknotifications-devel
BuildRequires: libknotifyconfig-devel
BuildRequires: libkpackage-devel
BuildRequires: libkparts-devel
BuildRequires: libkpeople-devel
BuildRequires: libkrunner-devel
BuildRequires: libkservice-devel
BuildRequires: libktextwidgets-devel
BuildRequires: libkunitconversion-devel
BuildRequires: libkwallet-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libphonon-qt5-devel
BuildRequires: libplasma-framework-devel
BuildRequires: libplasma-workspace-devel
BuildRequires: libpulseaudio-devel
BuildRequires: libpulseaudio-glib-devel
BuildRequires: libqt5-devel
BuildRequires: libsolid-devel
BuildRequires: libsonnet-devel
BuildRequires: libstdc++6-devel
BuildRequires: libudev-devel
BuildRequires: libxcb-devel
BuildRequires: libxcb-image-devel
BuildRequires: libxkbfile-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
BuildRequires: kwin
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Plasma 5 Desktop.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
%patch0 -p1

%build
%cmake_kde5 -d build

%make \
%ifarch arm
   -j1
%endif

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_sysconfdir}/dbus-1/system.d/org.kde.fontinst.conf
%{_sysconfdir}/dbus-1/system.d/org.kde.kcontrol.kcmclock.conf
%{_sysconfdir}/xdg/*.knsrc
%{_bindir}/kaccess
%{_bindir}/kapplymousetheme
%{_bindir}/kcm-touchpad-list-devices
%{_bindir}/kfontinst
%{_bindir}/kfontview
%{_bindir}/knetattach
%{_bindir}/krdb
%{_bindir}/solid-action-desktop-gen
%{_datadir}/applications/org.kde.kfontview.desktop
%{_datadir}/applications/org.kde.knetattach.desktop
%{_datadir}/color-schemes/*.colors
%{_datadir}/config.kcfg/*.kcfg
%{_datadir}/dbus-1/interfaces/org.kde.touchpad.xml
%{_datadir}/dbus-1/services/org.kde.fontinst.service
%{_datadir}/dbus-1/system-services/org.kde.fontinst.service
%{_datadir}/dbus-1/system-services/org.kde.kcontrol.kcmclock.service
%lang(ca) %{_datadir}/doc/HTML/ca/*
#%lang(de) %{_datadir}/doc/HTML/de/*
%lang(en) %{_datadir}/doc/HTML/en/*
%lang(it) %{_datadir}/doc/HTML/it/*
%lang(nl) %{_datadir}/doc/HTML/nl/*
%lang(pt_BR) %{_datadir}/doc/HTML/pt_BR/*
%lang(ru) %{_datadir}/doc/HTML/ru/*
%lang(sv) %{_datadir}/doc/HTML/sv/*
%lang(uk) %{_datadir}/doc/HTML/uk/*
%{_datadir}/icons/hicolor/*/devices/input-touchpad.png
%{_datadir}/icons/hicolor/*/mimetypes/fonts-package.png
%{_datadir}/icons/hicolor/*/apps/kfontview.png
%{_datadir}/icons/hicolor/scalable/apps/preferences-desktop-font-installer.svgz
%{_datadir}/icons/hicolor/scalable/devices/input-touchpad.svgz
%{_datadir}/kcm_componentchooser/kcm_*.desktop
%{_datadir}/kcm_phonon/listview-background.png
%{_datadir}/kcminput/cursor_large_black.pcf.gz
%{_datadir}/kcminput/cursor_large_white.pcf.gz
%{_datadir}/kcminput/cursor_small_white.pcf.gz
%{_datadir}/kcminput/pics/mouse_lh.png
%{_datadir}/kcminput/pics/mouse_rh.png
%{_datadir}/kcmkeyboard/pics/epo.png
%{_datadir}/kcmkeys/*.kksrc
%{_datadir}/kcmsolidactions/solid-action-template.desktop
%{_datadir}/kconf_update/krdb_libpathwipe.upd
%{_datadir}/kcontrol/pics/logo.png
%{_datadir}/kcontrol/pics/mini-world.png
%{_datadir}/kdisplay/app-defaults/*
%{_datadir}/kdm/pics/users/*.png
%{_datadir}/kfontinst/icons/hicolor/*/actions/*.png
%{_datadir}/knotifications5/kaccess.notifyrc
%{_datadir}/knotifications5/kcm_touchpad.notifyrc
%{_datadir}/knotifications5/kcmstyle.notifyrc
%{_datadir}/konqsidebartng/virtual_folders/services/fonts.desktop
%{_datadir}/kpackage/kcms/kcm_lookandfeel/contents/ui/main.qml
%{_datadir}/kpackage/kcms/kcm_lookandfeel/metadata.desktop
%{_datadir}/kpackage/kcms/kcm_splashscreen/contents/ui/main.qml
%{_datadir}/kpackage/kcms/kcm_splashscreen/metadata.desktop
%{_datadir}/kservices5/ServiceMenus/installfont.desktop
%{_datadir}/kservices5/fonts.protocol
%{_datadir}/kservices5/*.desktop
%{_datadir}/kservices5/kded/touchpad.desktop
%{_kde5_servicetypesdir}/solid-device-type.desktop
%{_datadir}/ksmserver/windowmanagers/compiz-custom.desktop
%{_datadir}/ksmserver/windowmanagers/compiz.desktop
%{_datadir}/ksmserver/windowmanagers/metacity.desktop
%{_datadir}/ksmserver/windowmanagers/openbox.desktop
%{_datadir}/kxmlgui5/kfontinst/kfontviewpart.rc
%{_datadir}/kxmlgui5/kfontview/kfontviewui.rc
%{_datadir}/plasma/*
%{_kde5_datadir}/kf5/kactivitymanagerd/workspace/settings/qml/*
%{_datadir}/polkit-1/actions/org.kde.fontinst.policy
%{_datadir}/polkit-1/actions/org.kde.kcontrol.kcmclock.policy
%{_datadir}/solid/devices/solid-device-*.desktop
%doc COPYING COPYING.DOC

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/kconf_update_bin/krdb_clearlibrarypath
%{_kde5_libdir}/libKF5ActivitiesExperimentalStats.so.*
%{_libdir}/libkdeinit5_kaccess.so
%{_libdir}/libkfontinst.so.*
%{_libdir}/libkfontinstui.so.*
%{_libdir}/libkfontinst.so
%{_libdir}/libkfontinstui.so
%{_libdir}/qt5/plugins/*.so
%{_libdir}/qt5/plugins/kcms/kcm_*.so
%{_libdir}/qt5/plugins/kf5/kded/*.so
%{_libdir}/qt5/plugins/plasma/dataengine/*.so
%{_libdir}/qt5/qml/org/kde/activities/settings/*
%dir %{_libdir}/qt5/qml/org/kde/plasma/activityswitcher
%{_libdir}/qt5/qml/org/kde/plasma/activityswitcher/*
%dir %{_libdir}/qt5/qml/org/kde/plasma/private
%{_libdir}/qt5/qml/org/kde/plasma/private/*
%dir %{_libdir}/qt5/qml/org/kde/private/desktopcontainment
%{_libdir}/qt5/qml/org/kde/private/desktopcontainment/*
%{_libexecdir}/kf5/kauth/fontinst*
%{_libexecdir}/kf5/kauth/kcmdatetimehelper
%{_libexecdir}/kimpanel-*
%{_libexecdir}/kfontprint
%doc COPYING.LIB

%changelog
* Wed Jun 15 2016 Automatic Build System <autodist@mambasoft.it> 5.6.5-1mamba
- automatic version update by autodist

* Mon May 16 2016 Automatic Build System <autodist@mambasoft.it> 5.6.4-1mamba
- automatic version update by autodist

* Sun Mar 06 2016 Automatic Build System <autodist@mambasoft.it> 5.5.5-1mamba
- automatic version update by autodist

* Fri Jan 29 2016 Automatic Build System <autodist@mambasoft.it> 5.5.4-1mamba
- automatic version update by autodist

* Sun Jan 10 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.5.3-1mamba
- package created using the webbuild interface
